I'm trying to find all the Roof Soffits that intersect a solid extrusion, but the ElementIntersectsSolidFilter comes back with no results.
ElementIntersectsSolidFilter filterSolid = new ElementIntersectsSolidFilter(GenerateSolidFromRoom(room));
List<Element> ceilingsAndSoffits = new List<Element>();ceilingsAndSoffits.AddRange(new FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_RoofSoffit).WherePasses(filterSolid).ToElements());
ceilingsAndSoffits.AddRange(new FilteredElementCollector(doc).OfClass(typeof(Ceiling)).WherePasses(filterSolid).ToElements());
My GenerateSolidFromRoom Method will return a Solid using the GeometryCreationUtilities.CreateExtrusionGeometry Method and my "room" BoundarySegments.
The code will return all Ceiling but never any Roof Soffits. I can capture all the other Elements in my Room, except Roof Soffits, by using:
ceilingsAndSoffits.AddRange(new FilteredElementCollector(doc).WherePasses(filterSolid).ToElements());
Is there a reason why the Roof Soffit isn't being filtered?